
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #314

 Audacious 3.4 on Ubuntu 13.04: no gapless playing with ALSA output 

July 06, 2013 16:52 - Luca Rossetto Casel

Status: Closed Start date: July 06, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4.1   

Affects version: 3.4   

Description

On Ubuntu 13.04 (64 bit), after upgrading Audacious to version 3.4 from WebUpd8 ppa, with ALSA output I cannot obtain gapless

playing anymore: a gap appears now at the end of every track.

I also noticed that the larger is the buffer, the more the gap's lenght increases. With the default buffer of 500 ms the gap is about a

second or less; with greater buffers, it's about several seconds.

Switching to PulseAudio output, the issue disappears at all! With Audacious 3.3.* all worked fine.

I created a bug on Launchpad:

https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1198432

Thank you for this great software, and thank you in advance for the help!

History

#1 - July 16, 2013 02:30 - John Lindgren

Are you actually using ALSA or simply playing through PulseAudio's ALSA sink?

#2 - July 16, 2013 11:44 - Luca Rossetto Casel

ALSA, with output to the soundcard. Thank you for answering!

#3 - July 21, 2013 23:22 - John Lindgren

Through dmix, or direct to the hw: device?

What format of audio files are you playing, and does the same problem appear with other formats?

#4 - July 21, 2013 23:23 - John Lindgren

Do both songs have the same number of channels and the same sample rate?  Do you have any effect plugins enabled?

#5 - July 22, 2013 11:45 - Luca Rossetto Casel

I set Audacious to send the sound directly to the hw: device, without passing by dmix; but I tried to use dmix too, and the problem remained.

I use Audacious prevalently as a CD player, but I made some test with other formats, with different sample rates, etc.: I could notice no differences,

the bug remained.

As a further test, I tried to send the signal to ALSA through Jack: the gap is considerably reduced, nearly unnoticeable, but still present.

#6 - July 24, 2013 08:23 - John Lindgren

Can you see if this commit fixes the problem?

https://github.com/audacious-media-player/audacious/commit/4bba625057272e558143416b303227fa5d19b100
#7 - July 27, 2013 16:12 - John Lindgren

- Category changed from plugins/alsa to core

- Status changed from New to Closed

- Target version set to 3.4.1

- % Done changed from 0 to 100

I'm going to assume this is fixed.  Please comment if not.

#8 - July 27, 2013 20:18 - Luca Rossetto Casel

Dear John, I'm very embarrassed: I'm struggling to install from the source code you upload in Git, but I don't know how to do! I read some how-to, but

it seems I'm missing something... Would it be possible to apply the patch to my installation of Audacious?

I humbly beg pardon!

#9 - July 30, 2013 01:20 - John Lindgren

No need to be embarrassed; compiling Audacious from source is daunting the first time.  Did you try the instructions at 

http://redmine.audacious-media-player.org/boards/1/topics/788?  Please reply to that forum post if you still have trouble.

#10 - August 02, 2013 17:57 - Luca Rossetto Casel

Dear John, thank you for your patience! With your instructions, I've now compiled Audacious. Your patch resolved the bug, now everything is perfect!

Thanks!!!
